Index: branches/dev_001_GM/NEMO/OPA_SRC/TRA/trabbl_adv.h90
===================================================================
--- branches/dev_001_GM/NEMO/OPA_SRC/TRA/trabbl_adv.h90	(revision 786)
+++ branches/dev_001_GM/NEMO/OPA_SRC/TRA/trabbl_adv.h90	(revision 790)
@@ -99,7 +99,7 @@
       ! mbathy= number of w-level, minimum value=1 (cf dommsk.F)
 
-#if defined key_vectopt_loop   &&   ! defined key_mpp_omp
-      jj = 1
-      DO ji = 1, jpij   ! vector opt. (forced unrolling)
+#if defined key_vectopt_loop 
+      DO jj = 1, 1
+         DO ji = 1, jpij   ! vector opt. (forced unrolling)
 #else
       DO jj = 1, jpj
@@ -115,7 +115,5 @@
             zunb(ji,jj) = un(ji,jj,mbku(ji,jj)) 
             zvnb(ji,jj) = vn(ji,jj,mbkv(ji,jj)) 
-#if ! defined key_vectopt_loop   ||   defined key_mpp_omp
-         END DO
-#endif
+         END DO
       END DO
 
@@ -224,12 +222,11 @@
 
       ! ... is equal to zero but where bbl will work.
-      u_bbl(:,:,:) = 0.e0
-      v_bbl(:,:,:) = 0.e0
+      u_bbl(:,:,:) = 0.e0   ;   v_bbl(:,:,:) = 0.e0
 
       IF( ln_zps ) THEN     ! partial steps correction   
       
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
-         jj = 1
-         DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
+# if defined key_vectopt_loop
+         DO jj = 1, 1
+            DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
 # else   
          DO jj = 1, jpjm1
@@ -249,7 +246,5 @@
                   v_bbl(ji,jj,ikv) = zalphay(ji,jj) * vn(ji,jj,ikv) * ze3v / fse3v(ji,jj,ikv)       
                ENDIF
-# if ! defined key_vectopt_loop   ||   defined key_mpp_omp
-            END DO
-# endif
+            END DO
          END DO
 
@@ -259,7 +254,7 @@
       ELSE       ! if not partial step loop over the whole domain no lbc call
 
-#if defined key_vectopt_loop   &&   ! defined key_mpp_omp
-         jj = 1
-         DO ji = 1, jpij   ! vector opt. (forced unrolling)
+#if defined key_vectopt_loop
+         DO jj = 1, 1
+            DO ji = 1, jpij   ! vector opt. (forced unrolling)
 #else
          DO jj = 1, jpj
@@ -272,7 +267,5 @@
                   v_bbl(ji,jj,ikv) = zalphay(ji,jj) * vn(ji,jj,ikv)       
                ENDIF
-#if ! defined key_vectopt_loop   ||   defined key_mpp_omp
-            END DO
-#endif
+            END DO
          END DO
        
@@ -284,7 +277,7 @@
       ! ... Second order centered tracer flux at u and v-points
 
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
-      jj = 1
-      DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
+# if defined key_vectopt_loop
+      DO jj = 1, 1
+         DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
 # else
       DO jj = 1, jpjm1
@@ -309,11 +302,9 @@
             zwz(ji,jj) = ( ( zfvj + ABS( zfvj ) ) * zsbb(ji  ,jj  )   &
                &          +( zfvj - ABS( zfvj ) ) * zsbb(ji  ,jj+1) ) * 0.5
-#if ! defined key_vectopt_loop   ||   defined key_mpp_omp
-         END DO
-#endif
-        END DO
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
-      jj = 1
-      DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
+         END DO
+      END DO
+# if defined key_vectopt_loop
+      DO jj = 1, 1
+         DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
 # else
       DO jj = 2, jpjm1
@@ -331,7 +322,5 @@
             ta(ji,jj,ik) = ta(ji,jj,ik) + zta
             sa(ji,jj,ik) = sa(ji,jj,ik) + zsa
-#if ! defined key_vectopt_loop   ||   defined key_mpp_omp
-         END DO
-#endif
+         END DO
       END DO
 
@@ -365,7 +354,7 @@
       IF( ln_zps ) THEN
 	  
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
-         jj = 1
-         DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
+# if defined key_vectopt_loop 
+         DO jj = 1, 1
+            DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
 # else
          DO jj = 1, jpjm1
@@ -383,14 +372,12 @@
                zwu(ji,jj) = zalphax(ji,jj) * e2u(ji,jj) * ze3u  
                zwv(ji,jj) = zalphay(ji,jj) * e1v(ji,jj) * ze3v
-#if ! defined key_vectopt_loop   ||   defined key_mpp_omp
-            END DO
-#endif
+            END DO
          END DO  
 	
       ELSE
 
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
-         jj = 1
-         DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
+# if defined key_vectopt_loop
+         DO jj = 1, 1
+            DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
 # else
          DO jj = 1, jpjm1
@@ -401,7 +388,5 @@
                zwu(ji,jj) = zalphax(ji,jj) * e2u(ji,jj) * fse3u(ji,jj,iku) 
                zwv(ji,jj) = zalphay(ji,jj) * e1v(ji,jj) * fse3v(ji,jj,ikv) 
-#if ! defined key_vectopt_loop   ||   defined key_mpp_omp
-            END DO
-#endif
+            END DO
          END DO
 
@@ -409,7 +394,7 @@
  
 
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
-      jj = 1
-      DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
+# if defined key_vectopt_loop
+      DO jj = 1, 1
+         DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
 # else
       DO jj = 2, jpjm1
@@ -425,8 +410,6 @@
                &   ) / zbt
 
-# if ! defined key_vectopt_loop   ||   defined key_mpp_omp
-         END DO
-# endif
-        END DO
+         END DO
+      END DO
 
       ! 7. compute additional vertical velocity to be used in t boxes
